HomeGuidesAPI Reference
API Reference

Search Partners

Search & Retrieve Partners, ACCESS LEVEL: SUPER_ADMIN, PARTNER

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint allows you to retrieve the details of multiple partners.

Endpoint

GET https://demo-api.edfapay.com/api/v1/partner/search


Authentication

All requests to this endpoint must include a valid X-API-KEY in the request header for authentication. The X-API-KEY must be sent from the server side and should not be exposed on the client side.

How to generate API key


Query Parameters

FieldTypeRequiredDescription
pageNumberIntegerOptionalThe page index, starting from 0.
pageSizeIntegerOptionalThe number of partners to return per page.
textStringOptionalA keyword used to filter partners.
🚧

If the pageNumber parameter is not provided, it defaults to 0.

If the pageSize parameter is not provided, it defaults to 10.


Example Request

curl --location 'https://demo-api.edfapay.com/api/v1/partners/search' \
--header 'X-API-KEY: YOUR_API_KEY'

Example Responses

    {
        "code": 200,
        "message": "Success",
        "errorCode": null,
        "data": {
            "content": [
                {
                "code": 200,
                "message": "Success",
                "errorCode": null,
                "data": {
                    "code": 200,
                    "message": "Success",
                    "errorCode": null,
                    "data": {
                        "createdBy": "[email protected]",
                        "createdTimestamp": "2026-04-21T00:14:28.051183404Z",
                        "updatedBy": null,
                        "updatedTimestamp": "2026-04-21T00:14:28.051058644Z",
                        "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                        "name": "Partner Name",
                        "nameAR": "بارتنر",
                        "address": null,
                        "status": "ACTIVE",
                        "logo": null,
                        "deleted": false,
                        "emailAddress": "[email protected]",
                        "registeredMobileNumber": "+0-619471208697",
                        "businessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                        "active": true,
                        "domain": "google.com",
                        "feeProfileId": 1
                    }
                }
            }
        ],
        "number": 0,
        "size": 1,
        "totalElements": 1,
        "hasContent": true,
        "numberOfElements": 1,
        "totalPages": 1,
        "first": true,
        "last": true
    }
}
Query Params
pageProperties
object
required

Search Pageable

searchCriteria
object
required

Partner Search Criteria

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*